package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.TrafficAccidentProportion;
import com.lightinit.hsdatashow.entity.TrafficAccidentProportionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface TrafficAccidentProportionMapper {
    long countByExample(TrafficAccidentProportionExample example);

    int deleteByExample(TrafficAccidentProportionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(TrafficAccidentProportion record);

    int insertSelective(TrafficAccidentProportion record);

    List<TrafficAccidentProportion> selectByExample(TrafficAccidentProportionExample example);

    TrafficAccidentProportion selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") TrafficAccidentProportion record, @Param("example") TrafficAccidentProportionExample example);

    int updateByExample(@Param("record") TrafficAccidentProportion record, @Param("example") TrafficAccidentProportionExample example);

    int updateByPrimaryKeySelective(TrafficAccidentProportion record);

    int updateByPrimaryKey(TrafficAccidentProportion record);

    List<ChartModel> getTrafficAccidentPro();
}